- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySdk/legacyRemoveEntitiesFromCustomList#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySdk/legacyRemoveEntitiesFromCustomList#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySdk/legacyRemoveEntitiesFromCustomList#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySdk/legacyRemoveEntitiesFromCustomList#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySdk/legacyRemoveEntitiesFromCustomList#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySdk/legacyRemoveEntitiesFromCustomList#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySdk/legacyRemoveEntitiesFromCustomList#body.aspect_1)

**Full name**: projects.locations.instances.legacySdk.legacyRemoveEntitiesFromCustomList

Removes one or more technical entities from a specific custom list. Use this method to programmatically maintain the accuracy and technical relevance of investigative watchlists or allowlists.

### HTTP request

`POST https://{endpoint}/v1alpha/{instance}/legacySdk:legacyRemoveEntitiesFromCustomList`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The RemoveEntitiesFromCustomList request. Format: projects/{project}/locations/{location}/instances/{instance}/legacySdk:legacyRemoveEntitiesFromCustomList |

### Query parameters

| Parameters ||
|---|---|
| `format` | `string` Optional. The format of the field names in the response. Could be snake or camel. |

### Request body

The request body contains an instance of `https://protobuf.dev/reference/protobuf/google.protobuf#struct`.

### Response body

If successful, the response is a generic HTTP response whose format is defined by the method.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacySdk.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).